Get a workflow definition
GET
/v1/workflow-definitions/{id}curl -X GET 'https://api.embodiflow.io/v1/workflow-definitions/{id}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- idstringrequired
Responses
Success
- dataobjectrequired
- idstringrequired
- codestringrequired
- namestringrequired
- descriptionstring | nullrequired
- reusableone ofrequired
- ownerstringrequiredAllowed valuestenantplatform
- purposestring | nullrequired
- latestRevisionnumber | nullrequired
- specHashstring | nullrequired
- publishedAtstring | nullrequired
- rowVersionnumberrequired
Response example
{
"data": {
"id": "string",
"code": "string",
"name": "string",
"description": "string",
"reusable": false,
"owner": "tenant",
"purpose": "string",
"latestRevision": 0,
"specHash": "string",
"publishedAt": "string",
"rowVersion": 0
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1